#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hOpenPGP
version:              2.9.8
visibility:           public
id:                   hOpenPGP-2.9.8-ACFGzAsAfRmE8ex4Ose8Bf
key:                  hOpenPGP-2.9.8-ACFGzAsAfRmE8ex4Ose8Bf
license:              MIT
copyright:            2012-2022  Clint Adams
maintainer:           Clint Adams <clint@debian.org>
author:               Clint Adams
homepage:             https://salsa.debian.org/clint/hOpenPGP
synopsis:             native Haskell implementation of OpenPGP (RFC4880)
description:
    native Haskell implementation of OpenPGP (RFC4880), plus Camellia (RFC5581), plus ECC (RFC6637)

category:             Codec, Data
abi:                  80595001605371376c0c586c4fb452d2
exposed:              True
exposed-modules:
    Codec.Encryption.OpenPGP.CFB Codec.Encryption.OpenPGP.Compression
    Codec.Encryption.OpenPGP.Expirations
    Codec.Encryption.OpenPGP.Fingerprint
    Codec.Encryption.OpenPGP.KeyInfo
    Codec.Encryption.OpenPGP.KeySelection
    Codec.Encryption.OpenPGP.KeyringParser
    Codec.Encryption.OpenPGP.Ontology Codec.Encryption.OpenPGP.S2K
    Codec.Encryption.OpenPGP.SecretKey
    Codec.Encryption.OpenPGP.Serialize
    Codec.Encryption.OpenPGP.SignatureQualities
    Codec.Encryption.OpenPGP.Signatures Codec.Encryption.OpenPGP.Types
    Data.Conduit.OpenPGP.Compression Data.Conduit.OpenPGP.Decrypt
    Data.Conduit.OpenPGP.Filter Data.Conduit.OpenPGP.Keyring
    Data.Conduit.OpenPGP.Keyring.Instances Data.Conduit.OpenPGP.Verify

hidden-modules:
    Codec.Encryption.OpenPGP.Internal
    Codec.Encryption.OpenPGP.Internal.CryptoCipherTypes
    Codec.Encryption.OpenPGP.Internal.Cryptonite
    Codec.Encryption.OpenPGP.Internal.HOBlockCipher
    Codec.Encryption.OpenPGP.Types.Internal.Base
    Codec.Encryption.OpenPGP.Types.Internal.CryptoniteNewtypes
    Codec.Encryption.OpenPGP.Types.Internal.PKITypes
    Codec.Encryption.OpenPGP.Types.Internal.PacketClass
    Codec.Encryption.OpenPGP.Types.Internal.Pkt
    Codec.Encryption.OpenPGP.Types.Internal.PrettyUtils
    Codec.Encryption.OpenPGP.Types.Internal.TK
    Codec.Encryption.OpenPGP.BlockCipher
    Codec.Encryption.OpenPGP.SerializeForSigs

import-dirs:          /usr/lib/ghc-9.0.2/site-local/hOpenPGP-2.9.8
library-dirs:         /usr/lib/ghc-9.0.2/site-local/hOpenPGP-2.9.8
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hopenpgp
hs-libraries:         HShOpenPGP-2.9.8-ACFGzAsAfRmE8ex4Ose8Bf
depends:
    aeson-2.1.2.1-AoiZ9fpfbxJ47564nNIIBq
    asn1-encoding-0.9.6-58WoCui6U7lIZlGnKrZtbv
    attoparsec-0.14.4-9KhLweOrk4jAI2XTloxgeh base-4.15.1.0
    base16-bytestring-1.0.2.0-IBiQOMzzuJVLgMxcKr2Onm
    bifunctors-5.5.15-6nB6Z3secdeBrKDSpiIEz binary-0.8.8.0
    binary-conduit-1.3.1-CwAnYvhJ9xDGIYOe70QYnW bytestring-0.10.12.1
    bz2-1.0.1.0-2PZKycmkFGgBZEIUMbVQVN
    conduit-1.3.5-1XJDjrDVBni9xr4sz3qqv1
    conduit-extra-1.3.6-Iqri4Y44FmY9MNAF75W8a3 containers-0.6.4.1
    crypto-cipher-types-0.0.9-8dNq76lIVvq61pUzJfYm3b
    cryptonite-0.30-JUkkzxQyVxJBSz8vpFJ2xS
    errors-2.3.0-F4rUJSCR8jkHhnELGOml9T
    hashable-1.4.2.0-ACOKJtOF9viKWyhESTEaY8
    incremental-parser-0.5.0.5-14wM7ipwBVVBz87mP8k0Ke
    ixset-typed-0.5.1.0-BANLkdji8kE80HPwO5bHqF
    lens-5.2.2-50AHbSTIHTyJ7cRw3OjWqT
    memory-0.17.0-3DbDQrj54CLAPAnWUJBJ4b
    monad-loops-0.4.3-C4VZ1LczQKA9hVl8DS9fX
    nettle-0.3.0-LpEwTEqes0RKaVPJkP5E9p
    network-uri-2.6.4.2-EYxdu2yGuicEEj2BOEkBLC
    openpgp-asciiarmor-0.1.2-BhGjyJLYKgTWWvblYGgSx
    prettyprinter-1.7.1-KCgewS2LM1BGU28EH98tlo
    resourcet-1.2.6-BTycQQNvCP7EUMEYcRxemp
    split-0.2.3.5-Dr1aqUmw4VnEUTE4bv3eAT text-1.2.5.0 time-1.9.3
    time-locale-compat-0.1.1.5-1snbmhWP0619voIlJd9qOd
    transformers-0.5.6.2 unliftio-core-0.2.1.0-AJ3ipHGgln87h2Y2hfrpJj
    unordered-containers-0.2.19.1-KAeBL5aytSRB39idbhEXBI
    zlib-0.6.3.0-8yAGwyuZ2uAGq492iT1L3K

haddock-interfaces:   /usr/share/doc/haskell-hopenpgp/html/hOpenPGP.haddock
haddock-html:         /usr/share/doc/haskell-hopenpgp/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

